#
# spec file for package libmygpo-qt
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmygpo-qt
Version:        1.0.7
Release:        2.2
Summary:        Qt Library that wraps the gpodder.net Web API
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://wiki.gpodder.org/wiki/Libmygpo-qt
Source0:        http://stefan.derkits.at/files/libmygpo-qt/%{name}.%{version}.tar.gz
BuildRequires:  automoc4
BuildRequires:  cmake
BuildRequires:  kde4-filesystem
BuildRequires:  libqjson-devel
BuildRequires:  libqt4-devel

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API (http://wiki.gpodder.org/wiki/Web_Services/API_2)

v1.0 wraps nearly every Request from the gpodder.net API except:
- Simple API Calls Downloading subscription Lists & Uploading subscription Lists
- Retrieving Subscription Changes (you should use "Retrieving Updates for a given Device" instead)

%package -n libmygpo-qt1
Summary:        Qt Library that wraps the gpodder.net Web API
Group:          Development/Libraries/C and C++
Url:            http://wiki.gpodder.org/wiki/Libmygpo-qt

%description -n libmygpo-qt1
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API (http://wiki.gpodder.org/wiki/Web_Services/API_2)

v1.0 wraps nearly every Request from the gpodder.net API except:
- Simple API Calls Downloading subscription Lists & Uploading subscription Lists
- Retrieving Subscription Changes (you should use "Retrieving Updates for a given Device" instead)

%package devel
Summary:        Qt Library that wraps the gpodder.net Web API
Group:          Development/Libraries/C and C++
Url:            http://wiki.gpodder.org/wiki/Libmygpo-qt
Requires:       libmygpo-qt1 = %{version}
Requires:       libqt4-devel >= 4.6.0

%description devel
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API (http://wiki.gpodder.org/wiki/Web_Services/API_2)

v1.0 wraps nearly every Request from the gpodder.net API except:
- Simple API Calls Downloading subscription Lists & Uploading subscription Lists
- Retrieving Subscription Changes (you should use "Retrieving Updates for a given Device" instead)

%prep
%setup -q -n %{name}.%{version}

%build
  %cmake_kde4 -d build -- -DLIB_INSTALL_DIR_SUFFIX="$_kde_libsuffix"
  %make_jobs

%install
  cd build
  make DESTDIR=%{buildroot} install
  cd ..

%post -n libmygpo-qt1 -p /sbin/ldconfig

%postun -n libmygpo-qt1 -p /sbin/ldconfig

%clean
  rm -rf %{buildroot}

%files devel
%defattr(-,root,root)
%dir %{_includedir}/mygpo-qt
%{_includedir}/mygpo-qt/*
%{_libdir}/cmake/mygpo-qt/
%{_libdir}/libmygpo-qt.so
%{_libdir}/pkgconfig/libmygpo-qt.pc

%files -n libmygpo-qt1
%defattr(-,root,root)
%{_libdir}/libmygpo-qt.so.*

%changelog
* Sat Apr 13 2013 hrvoje.senjan@gmail.com
- Update to 1.0.7
  * New Config Class. This class allows to programmatically to
    retrieve the libmygpo-qt version and retrieve and set the
    gpodder.net API endpoint
  * Config Class also allows to set a prefix to the user-agent.
  * fixed a bug that created incomplete Episode Actions if an
    Episode Action couldn’t be parsed completely by libmygpo-qt
  * fixed a small bug with the pkgconfig file
  * added support for uploading & retrieving flattr Episode Actions
    to gpodder.net
* Sun Nov 25 2012 nico.kruber@gmail.com
- Fix the SLES build (%%make_install is not expanded on SLES)
* Tue Oct 23 2012 cgiboudeaux@gmx.com
- Update to 1.0.6
  * Added support for DeviceSync API. This API makes it possible to
  set up synchronization with existing gpodder.net devices from inside
  your application
  * Set Contenttype Header to avoid warnings with Qt 4.8
  * Some fixes & enhancements to CMake build system
* Sun Nov 13 2011 cgiboudeaux@gmx.com
- Update to 1.0.5
  * fixed a bug in downloadSubscriptionsJson()
  * changed the way http basic auth information is transmitted to
    gpodder.net to no longer getting annoying popups when using
    libmygpo-qt with KIO from KDE 4.7.X
  * implemented functions to access the new API for retrieving
    synchronization information of devices
  * implemented functions to retrieve toplist and search results in
    gpodders custom XML format
  * added “ConfigStyle” package finding to CMake Buildsystem
* Mon Sep 19 2011 cgiboudeaux@gmx.com
- Update to 1.0.4
  * fixed a bug with an invalid timestamp when uploading EpisodeActions
  * fixed a bug with a wrong url when retrieving EpisodeActions by Podcast
  * fixed a crash happening on MeeGo because of the deletion of QNetworkReply Pointers
* Mon May 23 2011 cgiboudeaux@gmx.com
- Update to 1.0.3
  * All the Private Classes used in libmygpo-qt got their own Header
    Files (name_p.h) instead of having them in the .cpp Files
  * UrlBuilder uses now the fast String Concatenation of Qt
  * Some unneeded Files were removed (RequestHandlerTest &
    tests/Makefile.man)
  * Fixed a Bug in the Build System
  * General Cleanup of unnecessary Includes
* Mon Mar 21 2011 cgiboudeaux@gmx.com
- Add libmygpo-qt, a Qt Library that wraps the gpodder.net Web API
